﻿.loading-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;
    position: absolute;
    background-color: #00000063;
    width: 100%;
    height: 100%;
}

.loading-spinner {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 4px solid #ffffff;
    border-top: 4px solid transparent;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

header {
    border-bottom: solid 1px #d9d9d9;
    padding: 10px 15px;
}

h5.btn.btn-link {
    color: #0e0e50;
    font-weight: bold;
    margin: 0;
    padding: 0;
}

button.btn.btn-link.lang-switcher {
    padding: 0;
    font-size: 14px;
}

.main {
    padding: 20px 0;
}

:lang(ar) .float-left {
    float: right !important;
}

:lang(ar) .float-right {
    float: left !important;
}

:lang(ar) .text-left {
    text-align: right !important;
}

:lang(ar) .text-right {
    text-align: left !important;
}


.btn-primary {
    color: #fff;
    background-color: #002345;
    border-color: #002345;
}

.outer-div {
    border: solid 1px white;
    padding: 15px 15px 40px;
    border-radius: 10px;
    box-shadow: #000000bd 0px 20px 50px 0px;
    margin: 0 auto;
    width: 90%;
    margin-top: 30px;
    min-height: 525px;
}

.btn-light {
    color: #000;
    background-color: #c6c6c6;
    border-color: #c6c6c6;
}

    .btn-light:hover {
        color: #000;
        background-color: #c6c6c6d9;
        border-color: #c6c6c6d9;
    }

.btn-primary:hover {
    color: #fff;
    background-color: #06ceca;
    border-color: #06ceca;
}
.btn-check:focus + .btn-primary, .btn-primary:focus {
    color: #fff;
    background-color: #002345;
    border-color: #002345;
    box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
}
form#loginForm {
    margin-bottom: 60px;
}

h4#lblLogin {
    font-size: 17px;
    font-weight: normal;
    margin-top: 20px;
    padding-bottom: 0px;
    margin-bottom: 0;
    line-height: 10px;
}

.main {
    padding: 0px 0 0 0px;
}

div#dLogin h5 {
    font-size: 18px;
}

div#dLogin p {
    font-size: 12px;
}

div#dLogo {
    padding: 10px;
}

.check-container {
    width: 6.25rem;
    height: 7.5rem;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
}

    .check-container .check-background {
        width: 100%;
        height: calc(100% - 1.25rem);
        background: linear-gradient(to bottom right, #5de593, #41d67c);
        box-shadow: 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset;
        transform: scale(0.84);
        border-radius: 50%;
        animation: animateContainer 0.75s ease-out forwards 0.75s;
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0;
    }

        .check-container .check-background svg {
            width: 65%;
            transform: translateY(0.25rem);
            stroke-dasharray: 80;
            stroke-dashoffset: 80;
            animation: animateCheck 0.35s forwards 1.25s ease-out;
        }

    .check-container .check-shadow {
        bottom: calc(-15% - 5px);
        left: 0;
        border-radius: 50%;
        background: radial-gradient(closest-side, #49da83, transparent);
        animation: animateShadow 0.75s ease-out forwards 0.75s;
    }

@keyframes animateContainer {
    0% {
        opacity: 0;
        transform: scale(0);
        box-shadow: 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset;
    }

    25% {
        opacity: 1;
        transform: scale(0.9);
        box-shadow: 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset;
    }

    43.75% {
        transform: scale(1.15);
        box-shadow: 0px 0px 0px 43.334px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 65px rgba(255, 255, 255, 0.25) inset;
    }

    62.5% {
        transform: scale(1);
        box-shadow: 0px 0px 0px 0px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 21.667px rgba(255, 255, 255, 0.25) inset;
    }

    81.25% {
        box-shadow: 0px 0px 0px 0px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 0px rgba(255, 255, 255, 0.25) inset;
    }

    100% {
        opacity: 1;
        box-shadow: 0px 0px 0px 0px rgba(255, 255, 255, 0.25) inset, 0px 0px 0px 0px rgba(255, 255, 255, 0.25) inset;
    }
}

@keyframes animateCheck {
    from {
        stroke-dashoffset: 80;
    }

    to {
        stroke-dashoffset: 0;
    }
}

@keyframes animateShadow {
    0% {
        opacity: 0;
        width: 100%;
        height: 15%;
    }

    25% {
        opacity: 0.25;
    }

    43.75% {
        width: 40%;
        height: 7%;
        opacity: 0.35;
    }

    100% {
        width: 85%;
        height: 15%;
        opacity: 0.25;
    }
}

img.logo {
    width: 200px;
}
